<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.sixin.module_p.ui.gnj.xieji.details.PdaGnjXieJiDetailsViewModel" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/backgroud_gray"
        android:orientation="vertical">

        <include layout="@layout/title_tool_bar" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="10dp"
            android:layout_marginTop="10dp"
            android:background="#D4F7D7"
            android:orientation="vertical"
            android:paddingHorizontal="15dp"
            android:paddingVertical="10dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="30dp"
                android:gravity="center_vertical"
                android:background="@drawable/fill_line">

                <TextView
                    completeSpace="@{4}"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.4"
                    android:text="航班日期"
                    android:textColor="@color/text_normal"/>

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.6"
                    android:text="@{viewModel.dataBean.fdate}"
                    android:textColor="@color/text_normal"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="30dp"
                android:gravity="center_vertical"
                android:background="@drawable/fill_line">

                <TextView
                    completeSpace="@{4}"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.4"
                    android:text="航\u00A0\u00A0\u00A0班\u00A0\u00A0号"
                    android:textColor="@color/text_normal"/>

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.6"
                    android:text="@{viewModel.dataBean.fno}"
                    android:textColor="@color/text_normal" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="30dp"
                android:gravity="center_vertical"
                android:background="@drawable/fill_line">

                <TextView
                    completeSpace="@{4}"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.4"
                    android:text="航\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0程"
                    android:textColor="@color/text_normal" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.6"
                    android:text="@{viewModel.dataBean.voyage}"
                    android:textColor="@color/text_normal"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="30dp"
                android:gravity="center_vertical"
                android:background="@drawable/fill_line">

                <TextView
                    completeSpace="@{4}"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.4"
                    android:text="单证交接"
                    android:textColor="@color/text_normal" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.6"
                    android:text="@{viewModel.handover}"
                    android:textColor="@color/text_normal"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:layout_marginTop="5dp">

                <TextView
                    completeSpace="@{4}"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.4"
                    android:text="货物类型"
                    android:textColor="@color/text_normal" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.6"
                    android:text="@{viewModel.dataBean.cargoTypeName}"
                    android:textColor="@color/text_normal"/>
            </LinearLayout>

        </LinearLayout>

        <com.scwang.smart.refresh.layout.SmartRefreshLayout
            android:id="@+id/srl"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv"
                itemLayoutId="@{viewModel.itemLayoutId}"
                viewHolder="@{viewModel.itemViewHolder}"
                visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                tools:listitem="@layout/item_pda_gnj_xieji_car_list" />
        </com.scwang.smart.refresh.layout.SmartRefreshLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:orientation="horizontal"
        android:gravity="center_vertical">

        <CheckBox
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:layout_marginLeft="10dp"
            android:button="@drawable/p_checkbox_selector"
            android:paddingLeft="5dp"
            android:text="全选"
            android:checked="@={viewModel.isAllSelected}"
            android:onClick="@{()->viewModel.onAllSelectClick()}"
            android:textSize="20sp"/>

        <TextView
            visible="@{viewModel.confirmEnable}"
            android:layout_width="120dp"
            android:layout_height="60dp"
            android:layout_gravity="end"
            android:background="@color/colorPrimary"
            android:gravity="center"
            android:onClick="@{()-> viewModel.onDistributionClick()}"
            android:textColor="@color/white"
            android:textSize="18sp"
            android:text="分配目的地" />
      </LinearLayout>
    </LinearLayout>
</layout>